org.apache.olingo.commons.api.edm.provider

## Class CsdlParameter

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlParameter

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlParameter
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl parameter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlMapping` | `getMapping()` Gets mapping.
    `Integer` | `getMaxLength()` Gets max length.
    `String` | `getName()` Gets name.
    `Integer` | `getPrecision()` Gets precision.
    `Integer` | `getScale()` Gets scale.
    `SRID` | `getSrid()` Gets srid.
    `String` | `getType()` Gets type.
    `FullQualifiedName` | `getTypeFQN()` Gets type fQN.
    `boolean` | `isCollection()` Is collection.
    `boolean` | `isNullable()` Is nullable.
    `CsdlParameter` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlParameter` | `setCollection(boolean isCollection)` Sets collection.
    `CsdlParameter` | `setMapping(CsdlMapping mapping)` Sets mapping.
    `CsdlParameter` | `setMaxLength(Integer maxLength)` Sets max length.
    `CsdlParameter` | `setName(String name)` Sets name.
    `CsdlParameter` | `setNullable(boolean nullable)` Sets nullable.
    `CsdlParameter` | `setPrecision(Integer precision)` Sets precision.
    `CsdlParameter` | `setScale(Integer scale)` Sets scale.
    `CsdlParameter` | `setSrid(SRID srid)` Sets srid.
    `CsdlParameter` | `setType(FullQualifiedName type)` Sets type.
    `CsdlParameter` | `setType(String type)` Sets type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlParameter

          public CsdlParameter()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlParameter setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getType

          public String getType()

      Gets type.
      Returns:
        the type

    - #### getTypeFQN

          public FullQualifiedName getTypeFQN()

      Gets type fQN.
      Returns:
        the type fQN

    - #### setType

          public CsdlParameter setType(String type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### setType

          public CsdlParameter setType(FullQualifiedName type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### isCollection

          public boolean isCollection()

      Is collection.
      Returns:
        the boolean

    - #### setCollection

          public CsdlParameter setCollection(boolean isCollection)

      Sets collection.
      Parameters:
        `isCollection` - the is collection
      Returns:
        the collection

    - #### isNullable

          public boolean isNullable()

      Is nullable.
      Returns:
        the boolean

    - #### setNullable

          public CsdlParameter setNullable(boolean nullable)

      Sets nullable.
      Parameters:
        `nullable` - the nullable
      Returns:
        the nullable

    - #### getMaxLength

          public Integer getMaxLength()

      Gets max length.
      Returns:
        the max length

    - #### setMaxLength

          public CsdlParameter setMaxLength(Integer maxLength)

      Sets max length.
      Parameters:
        `maxLength` - the max length
      Returns:
        the max length

    - #### getPrecision

          public Integer getPrecision()

      Gets precision.
      Returns:
        the precision

    - #### setPrecision

          public CsdlParameter setPrecision(Integer precision)

      Sets precision.
      Parameters:
        `precision` - the precision
      Returns:
        the precision

    - #### getScale

          public Integer getScale()

      Gets scale.
      Returns:
        the scale

    - #### setScale

          public CsdlParameter setScale(Integer scale)

      Sets scale.
      Parameters:
        `scale` - the scale
      Returns:
        the scale

    - #### getSrid

          public SRID getSrid()

      Gets srid.
      Returns:
        the srid

    - #### setSrid

          public CsdlParameter setSrid(SRID srid)

      Sets srid.
      Parameters:
        `srid` - the srid
      Returns:
        the srid

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlParameter setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### getMapping

          public CsdlMapping getMapping()

      Gets mapping.
      Returns:
        the mapping

    - #### setMapping

          public CsdlParameter setMapping(CsdlMapping mapping)

      Sets mapping.
      Parameters:
        `mapping` - the mapping
      Returns:
        the mapping

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.